import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { 
  faArrowLeft, 
  faUtensils, 
  faFilter, 
  faImages, 
  faLightbulb, 
  faFlag, 
  faPepperHot, 
  faFire, 
  faTemperatureHigh, 
  faDesktop,
  IconDefinition
} from '@fortawesome/free-solid-svg-icons';

@Component({
  selector: 'app-filter-screen',
  standalone: true,
  imports: [CommonModule, FontAwesomeModule],
  templateUrl: './filter-screen.html',
  styleUrls: ['./filter-screen.scss']
})
export class FilterScreenComponent {
  // 定义图标映射
  icons = {
    arrowLeft: faArrowLeft,
    utensils: faUtensils,
    filter: faFilter,
    images: faImages,
    lightbulb: faLightbulb,
    flag: faFlag,
    pepperHot: faPepperHot,
    fire: faFire,
    temperatureHigh: faTemperatureHigh,
    desktop: faDesktop
  };

  // 安全获取图标的方法
  getIcon(iconName: keyof typeof this.icons): IconDefinition {
    return this.icons[iconName];
  }

  // ... 其他原有代码保持不变 ...
}