// src/app/modules/first-home/filter-screen/filter-screen.ts
import { Component, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
@Component({
  selector: 'app-filter-screen',
  standalone: true,
  imports: [CommonModule, FormsModule,RouterModule],
  templateUrl: './filter-screen.html',
  styleUrls: ['./filter-screen.scss']
})
export class FilterScreenComponent implements OnInit {
  // 筛选选项数据
  cuisineOptions = [
    { name: '川菜', selected: true },
    { name: '粤菜', selected: false },
    { name: '鲁菜', selected: false },
    { name: '苏菜', selected: false },
    { name: '西餐', selected: false },
    { name: '日料', selected: false }
  ];

  tasteOptions = [
    { name: '麻辣', selected: true },
    { name: '酸甜', selected: false },
    { name: '鲜香', selected: false },
    { name: '咸香', selected: false },
    { name: '清淡', selected: false }
  ];

  cookingOptions = [
    { name: '爆炒', selected: true },
    { name: '蒸', selected: false },
    { name: '烤', selected: false },
    { name: '炸', selected: false },
    { name: '炖', selected: false }
  ];

  temperatureOptions = [
    { name: '热菜', selected: true },
    { name: '凉菜', selected: false },
    { name: '冷热皆可', selected: false }
  ];

  sceneOptions = [
    { name: '美团外卖 (1:1比例)', selected: true },
    { name: '餐厅大屏 (4K分辨率)', selected: true },
    { name: '菜单设计', selected: false },
    { name: '社交媒体', selected: false },
    { name: '海报印刷', selected: false }
  ];

  // 图片数据
  galleryItems = [
    {
      title: '麻辣水煮鱼',
      price: '¥28',
      description: '川味经典，麻辣鲜香，汤汁浓郁',
      tags: ['川菜', '麻辣', '热菜', '美团'],
      image: 'https://images.unsplash.com/photo-1563245372-f21724e3856d?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=600&h=400&q=80'
    },
    {
      title: '精致牛排',
      price: '¥68',
      description: '精选牛肉，五分熟，搭配特调酱汁',
      tags: ['西餐', '鲜香', '热菜', '大屏'],
      image: 'https://images.unsplash.com/photo-1634034379073-f689b460a3fc?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=600&h=400&q=80'
    },
    {
      title: '日式刺身拼盘',
      price: '¥98',
      description: '新鲜三文鱼、金枪鱼、甜虾刺身',
      tags: ['日料', '清淡', '凉菜', '大屏'],
      image: 'https://images.unsplash.com/photo-1617196034796-73dfa7b1fd56?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=600&h=400&q=80'
    },
    {
      title: '干锅牛蛙',
      price: '¥48',
      description: '鲜嫩牛蛙，香辣可口，配菜丰富',
      tags: ['川菜', '麻辣', '热菜', '美团'],
      image: 'https://images.unsplash.com/photo-1603893662172-99ed0cea2a08?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=600&h=400&q=80'
    },
    {
      title: '意式披萨',
      price: '¥38',
      description: '手工薄底，多种配料，芝士浓郁',
      tags: ['西餐', '咸香', '热菜', '美团'],
      image: 'https://images.unsplash.com/photo-1513104890138-7c749659a591?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=600&h=400&q=80'
    },
    {
      title: '清蒸大闸蟹',
      price: '¥88',
      description: '阳澄湖大闸蟹，蟹黄饱满，原汁原味',
      tags: ['苏菜', '鲜香', '热菜', '大屏'],
      image: 'https://images.unsplash.com/photo-1606491956689-2ea866880c84?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=600&h=400&q=80'
    }
  ];

  // 推荐组合数据
  recommendations = [
    {
      title: '川菜精选组合',
      icon: 'fa-utensils',
      items: [
        '菜系：川菜',
        '口味：麻辣/中辣',
        '做法：爆炒/干锅',
        '场景：美团+大屏',
        '匹配图片：24张'
      ]
    },
    {
      title: '高端宴席组合',
      icon: 'fa-hotel',
      items: [
        '菜系：粤菜/苏菜',
        '口味：鲜香/清淡',
        '做法：蒸/炖',
        '场景：大屏+菜单',
        '匹配图片：18张'
      ]
    },
    {
      title: '外卖爆款组合',
      icon: 'fa-motorcycle',
      items: [
        '菜系：川菜/西餐',
        '口味：麻辣/酸甜',
        '做法：炒/炸',
        '场景：美团专用',
        '匹配图片：32张'
      ]
    },
    {
      title: '夏季凉菜组合',
      icon: 'fa-snowflake',
      items: [
        '菜系：所有',
        '口味：清淡/酸甜',
        '做法：凉拌/刺身',
        '场景：美团+社交媒体',
        '匹配图片：21张'
      ]
    }
  ];

  constructor() { }

  ngOnInit(): void {
  }

  // 切换选项选择状态
  toggleOption(option: any): void {
    option.selected = !option.selected;
  }


  // 确定筛选按钮
  confirmFilter(): void {
    alert('筛选条件已确定！');
    // 实际应用中：发送筛选条件到服务端
  }

  // 应用推荐组合
  applyRecommendation(recommendation: any): void {
    alert(`已应用推荐组合：${recommendation.title}`);
    // 实际应用中：根据推荐组合设置筛选条件
  }
}