import { Routes } from '@angular/router';
import { NavMobileTabs } from './nav-mobile-tabs/nav-mobile-tabs';

export const MOBILE_ROUTES: Routes = [
  {
    path: '',
    component: NavMobileTabs,
    children: [
      {
        path: 'home',
        loadComponent: () => import('./home-tab/home-tab').then(m => m.HomeTab)
      },
      {
        path: 'cart',
        loadComponent: () => import('./cart-tab/cart-tab').then(m => m.CartTab)
      },
      {
        path: 'mine',
        loadComponent: () => import('./ser-tab/ser-tab').then(m => m.SerTab)
      },
      {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full'
      }
    ]
  },
  {
    path: 'ogin-screen',
    loadComponent: () => import('../thired-ser/ogin-screen/ogin-screen').then(m => m.OginScreenComponent)
  },
   {
    path: 'upload-screen',
    loadComponent: () => import('../thired-ser/upload-screen/upload-screen').then(m => m.UploadScreen)
  },
  {
    path: 'card-image',
    loadComponent: () => import('../thired-ser/card-image/card-image').then(m => m.CardImage)
  },
  {
    path: 'image-search',
    loadComponent: () => import('../first-home/image-search/image-search').then(m => m.ImageSearchComponent)
  },
  {
    path: 'image-detail',
    loadComponent: () => import('../first-home/image-detail/image-detail').then(m => m.ImageDetailComponent)}
      ,{
    path: 'filter-screen',
    loadComponent: () => import('../first-home/filter-screen/filter-screen').then(m => m.FilterScreenComponent)
  },
];


